From b6991ab2e0b241f6c768d465e01e2a292d5f0542 Mon Sep 17 00:00:00 2001
From: Cedric Roux <cedric.roux@eurecom.fr>
Date: Mon, 27 Mar 2017 10:19:23 +0200
Subject: [PATCH] autotest v2: remove nasmesh and ue_ip module kernels before
 anything else

The presence of one or the other may lead to some failure/crash in
some situations.
---
 cmake_targets/autotests/v2/actions/alu_hss.bash           | 2 ++
 cmake_targets/autotests/v2/actions/execution_compile.bash | 2 ++
 cmake_targets/autotests/v2/actions/run_enb.bash           | 2 ++
 cmake_targets/autotests/v2/actions/start_3276.bash        | 2 ++
 cmake_targets/autotests/v2/actions/start_bandrich.bash    | 2 ++
 5 files changed, 10 insertions(+)

diff --git a/cmake_targets/autotests/v2/actions/alu_hss.bash b/cmake_targets/autotests/v2/actions/alu_hss.bash
index ded1e352ce8..be32fe9eb08 100644
--- a/cmake_targets/autotests/v2/actions/alu_hss.bash
+++ b/cmake_targets/autotests/v2/actions/alu_hss.bash
@@ -1,2 +1,4 @@
+sudo rmmod nasmesh || true
+sudo rmmod ue_ip || true
 sudo /opt/ltebox/tools/stop_ltebox || true
 sudo /opt/hss_sim0609/starthss_real
diff --git a/cmake_targets/autotests/v2/actions/execution_compile.bash b/cmake_targets/autotests/v2/actions/execution_compile.bash
index 530447ebcdb..149ebdff85f 100644
--- a/cmake_targets/autotests/v2/actions/execution_compile.bash
+++ b/cmake_targets/autotests/v2/actions/execution_compile.bash
@@ -1,5 +1,7 @@
 cd /tmp/oai_test_setup/oai
 source oaienv
+sudo rmmod nasmesh || true
+sudo rmmod ue_ip || true
 cd cmake_targets
 rm -rf log
 mkdir -p log
diff --git a/cmake_targets/autotests/v2/actions/run_enb.bash b/cmake_targets/autotests/v2/actions/run_enb.bash
index 1a4c5368a74..abf7dc02862 100644
--- a/cmake_targets/autotests/v2/actions/run_enb.bash
+++ b/cmake_targets/autotests/v2/actions/run_enb.bash
@@ -3,6 +3,8 @@ stty isig intr ^C
 
 cd /tmp/oai_test_setup/oai
 source oaienv
+sudo rmmod nasmesh || true
+sudo rmmod ue_ip || true
 cd cmake_targets/lte_build_oai/build
 ulimit -c unlimited
 sudo rm -f core
diff --git a/cmake_targets/autotests/v2/actions/start_3276.bash b/cmake_targets/autotests/v2/actions/start_3276.bash
index c6fbdcedd95..380c914d47c 100644
--- a/cmake_targets/autotests/v2/actions/start_3276.bash
+++ b/cmake_targets/autotests/v2/actions/start_3276.bash
@@ -3,6 +3,8 @@ stty isig intr ^C
 
 cd /tmp/oai_test_setup/oai
 source oaienv
+sudo rmmod nasmesh || true
+sudo rmmod ue_ip || true
 cd cmake_targets/autotests/v2/actions
 sudo python start_3276.py
 
diff --git a/cmake_targets/autotests/v2/actions/start_bandrich.bash b/cmake_targets/autotests/v2/actions/start_bandrich.bash
index e562dfc29be..7620e897842 100644
--- a/cmake_targets/autotests/v2/actions/start_bandrich.bash
+++ b/cmake_targets/autotests/v2/actions/start_bandrich.bash
@@ -16,6 +16,8 @@ stty isig intr ^C
 
 cd /tmp/oai_test_setup/oai
 source oaienv
+sudo rmmod nasmesh || true
+sudo rmmod ue_ip || true
 cd cmake_targets/autotests/v2/actions
 python start_bandrich.py
 
-- 
GitLab